//
// Created by murer on 14/01/20.
//

#include "navierstokes_rhs.h"


void RightHandSide::vector_value(const Point<dim> &/*p*/,
                                 Vector<double> &values) const
{

    values(0) = 0.0;
    values(1) = 0.0;
}



void RightHandSide::vector_value_list(const std::vector<Point<dim>> &points,
                                      std::vector<Vector<double>> &  value_list) const
{
    Assert(value_list.size() == points.size(),
           ExcDimensionMismatch(value_list.size(), points.size()));
    for (unsigned int p = 0; p < points.size(); ++p)
        RightHandSide::vector_value(points[p], value_list[p]);
}