//
// Created by murer on 14/01/20.
//

#ifndef MULTIGRID_RHS_H
#define MULTIGRID_RHS_H

#include <deal.II/base/function.h>
#include <deal.II/lac/vector.h>

#include "../general.h"

using namespace dealii;



class RightHandSide : public Function<dim>
{

public:
    RightHandSide()
            : Function<dim>(2)
    {}
    virtual void vector_value(const Point<dim> & p,
                              Vector<double> &values) const override;

    virtual void
    vector_value_list(const std::vector<Point<dim>> &points,
                      std::vector<Vector<double>> &  value_list) const override;

};

#endif //MULTIGRID_RHS_H
