
#include "temperature_rhs.h"

double TemperatureRightHandSide::value(const Point<dim> &p,
                                       const unsigned int component) const
{
    Assert(component == 0, ExcIndexRange(component, 0, 1));
    (void)component;

    return 0;

    double radius = sqrt(pow(std::fabs(p(0)),2) + pow(std::fabs(p(1)),2));

    if(radius < laser_radius - 1e-12 && p(2)< substrate_location + 1e-3)
        return laser_power;
    else
        return 0;



}
void TemperatureRightHandSide::value_list(const std::vector<Point<dim>> &points,
                                          std::vector<double> &          values,
                                          const unsigned int component) const
{
    Assert(values.size() == points.size(),
           ExcDimensionMismatch(values.size(), points.size()));

    for (unsigned int i = 0; i < points.size(); ++i)
        values[i] = TemperatureRightHandSide::value(points[i], component);
}